
Redmine - Defect #4041

Redmine doensn't work: undefined method `each' for #<Mysql:0x45e8d38>

2009-10-16 07:40 - Denis Zabirohin

Status: Closed Start date: 2009-10-16

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

vendor/rails/activerecord/lib/active_record/connection_adapters/mysql_adapter.rb:433:in `columns'

vendor/rails/activerecord/lib/active_record/base.rb:1149:in `columns'

vendor/rails/activerecord/lib/active_record/base.rb:1157:in `columns_hash'

vendor/rails/activerecord/lib/active_record/base.rb:1207:in `descends_from_active_record?'

vendor/rails/activerecord/lib/active_record/base.rb:1213:in `finder_needs_type_condition?'

vendor/rails/activerecord/lib/active_record/base.rb:1579:in `add_conditions!'

vendor/rails/activerecord/lib/active_record/base.rb:1476:in `construct_finder_sql'

vendor/rails/activerecord/lib/active_record/base.rb:1345:in `find_every'

vendor/rails/activerecord/lib/active_record/base.rb:1307:in `find_initial'

vendor/rails/activerecord/lib/active_record/base.rb:538:in `find'

vendor/rails/activesupport/lib/active_support/callbacks.rb:173:in `send'

vendor/rails/activesupport/lib/active_support/callbacks.rb:173:in `evaluate_method'

vendor/rails/activesupport/lib/active_support/callbacks.rb:161:in `call'

vendor/rails/actionpack/lib/action_controller/filters.rb:191:in `call'

vendor/rails/actionpack/lib/action_controller/filters.rb:591:in `run_before_filters'

vendor/rails/actionpack/lib/action_controller/filters.rb:577:in `call_filters'

vendor/rails/actionpack/lib/action_controller/filters.rb:572:in `perform_action_without_benchmark'

vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in `perform_action_without_rescue'

D:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/1.8/benchmark.rb:293:in `measure'

vendor/rails/actionpack/lib/action_controller/benchmarking.rb:68:in `perform_action_without_rescue'

vendor/rails/actionpack/lib/action_controller/rescue.rb:201:in `perform_action_without_caching'

vendor/rails/actionpack/lib/action_controller/caching/sql_cache.rb:13:in `perform_action'

vendor/rails/activerecord/lib/active_record/connection_adapters/abstract/query_cache.rb:33:in `cache'

vendor/rails/activerecord/lib/active_record/query_cache.rb:8:in `cache'

vendor/rails/actionpack/lib/action_controller/caching/sql_cache.rb:12:in `perform_action'

vendor/rails/actionpack/lib/action_controller/base.rb:529:in `send'

vendor/rails/actionpack/lib/action_controller/base.rb:529:in `process_without_filters'

vendor/rails/actionpack/lib/action_controller/filters.rb:568:in `process_without_session_management_support'

vendor/rails/actionpack/lib/action_controller/session_management.rb:130:in `process'

vendor/rails/actionpack/lib/action_controller/base.rb:389:in `process'

vendor/rails/actionpack/lib/action_controller/dispatcher.rb:149:in `handle_request'

vendor/rails/actionpack/lib/action_controller/dispatcher.rb:107:in `dispatch'

vendor/rails/actionpack/lib/action_controller/dispatcher.rb:104:in `synchronize'

vendor/rails/actionpack/lib/action_controller/dispatcher.rb:104:in `dispatch'

vendor/rails/actionpack/lib/action_controller/dispatcher.rb:120:in `dispatch_cgi'

vendor/rails/actionpack/lib/action_controller/dispatcher.rb:35:in `dispatch'

D:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/lib/mongrel/rails.rb:76:in

`process'

D:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/lib/mongrel/rails.rb:74:in

`synchronize'

D:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/lib/mongrel/rails.rb:74:in

`process'

D:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/lib/mongrel.rb:159:in

`process_client'

D:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/lib/mongrel.rb:158:in `each'

D:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/lib/mongrel.rb:158:in

`process_client'

D:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/lib/mongrel.rb:285:in `run'

D:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/lib/mongrel.rb:285:in

`initialize'

D:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/lib/mongrel.rb:285:in `new'
D:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/lib/mongrel.rb:285:in `run'

D:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/lib/mongrel.rb:268:in

`initialize'

D:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/lib/mongrel.rb:268:in `new'

D:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/lib/mongrel.rb:268:in `run'

D:/Program Files/BitNami Redmine

Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/lib/mongrel/configurator.rb:282:in `run'

D:/Program Files/BitNami Redmine

Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/lib/mongrel/configurator.rb:281:in `each'

D:/Program Files/BitNami Redmine

Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/lib/mongrel/configurator.rb:281:in `run'

D:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/bin/mongrel_rails:128:in `run'

D:/Program Files/BitNami Redmine

Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/lib/mongrel/command.rb:212:in `run'

D:/Program Files/BitNami Redmine Stack/ruby/lib/ruby/gems/1.8/gems/mongrel-1.1.5-x86-mswin32-60/bin/mongrel_rails:281

D:/Program Files/BitNami Redmine Stack/ruby/bin/mongrel_rails:19:in `load'

D:/Program Files/BitNami Redmine Stack/ruby/bin/mongrel_rails:19

History

#1 - 2009-10-16 17:58 - Thomas Pihl

Impossible to suggest solution without more information like:

OS

Version of all kinds of software on it

Setups

My guess is a bad compiled mysql package in rails. If thats the case it's outside the scope where we can help you here since we're focused on

redmine that runs on top of rails.

/T

#2 - 2009-10-16 18:30 - Denis Zabirohin

Thomas Pihl wrote:

Impossible to suggest solution without more information like:

OS

Version of all kinds of software on it

Setups

My guess is a bad compiled mysql package in rails. If thats the case it's outside the scope where we can help you here since we're focused on

redmine that runs on top of rails.

/T

 This problem I resolved... But occured new problem. I cannot set email sending to users from redmine. When I receved message, has written "Во

время отправки письма произошла ошибка (530 5.7.0 Must issue a STARTTLS command first. 23sm966225eya.20 )" ... Please help me.. I must

set redmine to my workstation..

#3 - 2009-10-16 18:31 - Denis Zabirohin

Denis Zabirohin wrote:

Thomas Pihl wrote:

Impossible to suggest solution without more information like:

OS

Version of all kinds of software on it

Setups

My guess is a bad compiled mysql package in rails. If thats the case it's outside the scope where we can help you here since we're focused

on redmine that runs on top of rails.

/T

 This problem I resolved... But occured new problem. I cannot set email sending to users from redmine. When I receved message, has written

"Во время отправки письма произошла ошибка (530 5.7.0 Must issue a STARTTLS command first. 23sm966225eya.20 )" ... Please help me..
I must set redmine to my workstation..

 My OS: Windows Server 2003

Ruby 1.8.6

Rails last pre-release

Redmine last pre-final

#4 - 2009-10-24 13:38 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Invalid

I don't see any Redmine code in your stack trace. Please check your setup.
